package com.qgs.dc.s7.controller;

import com.qgs.dc.opcua.arg.*;
import com.qgs.dc.opcua.controller.R;
import com.qgs.dc.s7.service.S7Service;
import org.apache.plc4x.java.PlcDriverManager;
import org.apache.plc4x.java.api.PlcConnection;
import org.apache.plc4x.java.api.exceptions.PlcConnectionException;
import org.apache.plc4x.java.api.messages.PlcReadRequest;
import org.apache.plc4x.java.api.messages.PlcReadResponse;
import org.apache.plc4x.java.api.types.PlcResponseCode;
import org.apache.plc4x.java.api.value.PlcValue;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.concurrent.CompletableFuture;

@RestController
@RequestMapping("/s7")
public class S7Controller {
    private static final Logger logger = LoggerFactory.getLogger(S7Controller.class);

    @Autowired
    S7Service s7Service;


    @PostMapping("/addThisPlc")
    public R addThisPlc() throws PlcConnectionException {
        //s7://192.168.1.51?remote-rack=0&remote-slot=3&controller-type=S7_400,如果参数不是默认的 要向这样往url 后面加。
        return R.ok().put("res",s7Service.addPlc("s7://192.168.0.100"));
    }
    @PostMapping("/getValue")
    public R getValue() throws PlcConnectionException {



        return R.ok().put("res",1);
    }

}
